> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# ML Utterances Import Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the status of an ML utterances import request made through the Import ML Utterances API.

| **Field**         | **Value**                                                                                                                          |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                                |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/mlimport/status/{{MLutteranceID}}`                                                      |
| **Content Type**  | `application/json`                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Utterances Import; Admin Console: Test and Train > Utterances Import                                                  |

## Path Parameters

| **Parameter**   | **Required/Optional** | **Description**                                                                                                                                                         |
| --------------- | --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `host`          | Required              | The environment URL. For example, `https://platform.kore.ai`                                                                                                            |
| `BotID`         | Required              | Stream ID of the bot to import the ML utterances into.                                                                                                                  |
| `MLutteranceID` | Required              | The ID generated (in format `Bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx`) when calling the [ML Utterances Import API](/ai-for-service/apis/automation/import-ml-utterances). |

## Sample Request

```json theme={null}
curl -X GET 'https://{{host}}/api/public/bot/{{BotID}}/mlimport/status/{{MLutteranceID}}' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "_id": "bxx-7xxxxxxe-5xxb-5xx5-bxx5-88xxxxxxxxxx",
    "status": "success",
    "streamId": "sx-6exxxxxx-5xx1-5xx0-bxx8-8cxxxxxxxxxx",
    "createdBy": "u-5dxxxxxx-bxx1-5xx0-axx8-2exxxxxxxxxx",
    "requestType": "MLimport",
    "statusLogs": [],
    "createdOn": "2019-06-27T12:03:30.748Z",
    "__v": 0,
    "message": "File imported completed. 1 utterances copied successfully"
}
```
